curl -X POST https://zeplo.ai/api/users/create \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"username": "newuser",
"email": "user@example.com",
"password": "SecurePass123!",
"name": "New User",
"phone": "919876543210",
"country": "IN"
}'
{
"success": true,
"data": {
"id": 101,
"username": "newuser",
"email": "user@example.com",
"name": "New User",
"role": "user",
"status": "active",
"createdAt": "2026-01-15T12:00:00Z"
}
}
User Management
POST Create User
Register a new user.
POST
/
api
/
users
/
create
curl -X POST https://zeplo.ai/api/users/create \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"username": "newuser",
"email": "user@example.com",
"password": "SecurePass123!",
"name": "New User",
"phone": "919876543210",
"country": "IN"
}'
{
"success": true,
"data": {
"id": 101,
"username": "newuser",
"email": "user@example.com",
"name": "New User",
"role": "user",
"status": "active",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Public registration
POST /api/users/create
Create a new user account.
Headers
string
required
Session cookie (login via POST /api/auth/login)
Body parameters
string
required
Unique username.
string
required
Email address.
string
required
Password (min 8 chars).
string
required
Display name.
string
Phone number.
string
Country code.
{
"username": "newuser",
"email": "user@example.com",
"password": "SecurePass123!",
"name": "New User",
"phone": "919876543210",
"country": "IN"
}
curl -X POST https://zeplo.ai/api/users/create \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"username": "newuser",
"email": "user@example.com",
"password": "SecurePass123!",
"name": "New User",
"phone": "919876543210",
"country": "IN"
}'
Admin create user
POST /api/admin/users/create
Body parameters
string
required
Unique username.
string
required
Email address.
string
required
Password (min 8 chars).
string
required
Display name.
string
User role.
{
"username": "newuser",
"email": "user@example.com",
"password": "SecurePass123!",
"name": "New User",
"role": "user"
}
curl -X POST https://zeplo.ai/api/admin/users/create \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"username": "newuser",
"email": "user@example.com",
"password": "SecurePass123!",
"name": "New User",
"role": "user"
}'
Verify email
POST /api/users/verifyEmail
Body parameters
string
required
Email address to verify.
string
required
One-time password sent to email.
{
"email": "user@example.com",
"otp": "123456"
}
curl -X POST https://zeplo.ai/api/users/verifyEmail \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"otp": "123456"
}'
{
"success": true,
"data": {
"id": 101,
"username": "newuser",
"email": "user@example.com",
"name": "New User",
"role": "user",
"status": "active",
"createdAt": "2026-01-15T12:00:00Z"
}
}
